Skip to main content
GET
/
v1
/
sandbox
/
sub-wallet
/
deposit
Sandbox Get Sub-Wallet Deposit
curl --request GET \
  --url https://api.openxswitch.com/v1/sandbox/sub-wallet/deposit \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "id": "DEP12345",
    "destination": "on_chain",
    "workspaceId": "344444....",
    "fromWalletId": "99902038302....",
    "toWalletId": "042038302....",
    "coin": "USDT",
    "chain": "ERC20",
    "amount": 0.05,
    "network": "Ethereum",
    "status": "pending",
    "networkFee": 0,
    "confirmation": 3,
    "createdAt": "2023-12-31T23:59:59Z",
    "updatedAt": "2023-12-31T23:59:59Z",
    "clientTxId": "CLIENT12345",
    "fromAddress": "0xabc123...",
    "toAddress": "0xdef456...",
    "hash": "0xhash123...",
    "transactionLink": "https://explorer.com/tx/0xhash123",
    "tagMemo": "Payment123"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.openxswitch.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

subWalletId
string
required

The unique identifier of the sub wallet

depositId
string
required

The deposit identifier

Response

success
boolean
required
Example:

true

data
object
required